org.apache.xmlbeans

## Interface XmlUnsignedInt

- All Superinterfaces:
    XmlAnySimpleType, XmlDecimal, XmlInteger, XmlNonNegativeInteger, XmlObject, XmlTokenSource, XmlUnsignedLong
  All Known Subinterfaces:
    XmlUnsignedByte, XmlUnsignedShort
  All Known Implementing Classes:
    XmlUnsignedByteImpl, XmlUnsignedIntImpl, XmlUnsignedShortImpl

      public interface XmlUnsignedInt
      extends XmlUnsignedLong

  Corresponds to the XML Schema xs:unsignedInt type. One of the derived types based on xs:decimal.

  Verified to be in the range 0..4294967295 when validating.

  Convertible to Java long.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static XmlObjectFactory<XmlUnsignedInt>` | `Factory`
    `static SchemaType` | `type` The constant `SchemaType` object representing this schema type.

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getLongValue()` Returns this value as a long
    `void` | `setLongValue(long v)` Sets this value as a long

    - ### Methods inherited from interface org.apache.xmlbeans.XmlInteger

      `getBigIntegerValue, setBigIntegerValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlDecimal

      `getBigDecimalValue, setBigDecimalValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, setStringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final XmlObjectFactory<XmlUnsignedInt> Factory

    - #### type

          static final SchemaType type

      The constant `SchemaType` object representing this schema type.

  - ### Method Detail

    - #### getLongValue

          long getLongValue()

      Returns this value as a long

    - #### setLongValue

          void setLongValue(long v)

      Sets this value as a long